Vraag & Antwoord

OS Linux

install suse 10.1 met behoud /home

Anoniem
maximilaan
12 antwoorden
  • Hoi,
    draai hier nu suse 10.0, met via additional repositories oa kde 3.5.2.
    Nu wil ik een verse install gaan doen van suse 10.1, maar met behoud van de /home partitie.

    De DVD van 10.1 vermeld echter (oa) KDE 3.5.1
    Kan ik daar nog problemen mee gaan verwachten? De ~/.kde (config)files (en wellicht ook van andere applicaties / groepen) gaan uit van een nieuwere versie dan ik installeer via de DVD…
  • /home staat op een aparte partitie?
    Zo ja, dan kun je met behoud van /home een verse installatie doen.

    voor suse 10.1 wordt kde 3.5.3 aangeboden, dus je hoeft niet bang te zijn dat je een oudere kde-versie gebruikt.
    Verder is kde 3.5.x in beide richtingen compatible, dus verwacht geen rarigheden met betrekking tot configuratiebestanden.

    kde 3.5.3 kun je gemakkelijk upgraden met SMART
    Hier een stukkie over Smart dat ik onlangs heb geschreven:



    Via internet leerde ik SMART kennen: een intelligent systeem dat de kracht van yast, you, yum, urpmi en apt met elkaar combineert in 1 systeem.

    Meer over smart is te lezen op http://susewiki.org/index.php?title=Smart

    Hoe werkt smart?
    nou, in grote lijnen zoals APT werkt. Vervang [b:c5d8e674ff]apt-get[/b:c5d8e674ff] in je commando door [b:c5d8e674ff]smart[/b:c5d8e674ff] en je krijgt hetzelfde resultaat.
    Als je al apt gebruikt onder suse zal smart de sources.list automatisch vinden zodat je meteen aan de slag kunt.

    Bij deze uitleg ga ik er van uit dat dit niet het geval is.

    Hoe krijg je smart?
    Als je guru in je yastbronnen hebt staan, dan zoek je gewoon naar smart en installeer je het vanuit yast.

    Heb je geen guru, download dan de pakketten van deze bron:
    http://linux01.gwdg.de/~pbleser/rpm-navigation.php?cat=System/smart/
    kijk uit dat je niet de 64-bits versie kiest als je een gewone pc hebt ;)

    Zet alles in 1 map en installeer het met
    [b:c5d8e674ff]yast -i *.rpm[/b:c5d8e674ff]

    Houd de installatiecd bij de hand, aangezien smart de nodige aanvullende software nodig heeft.

    Daarna kun je bronnen toevoegen.

    Dat doe je met dit commando:
    [b:c5d8e674ff]smart channel –add installatiebron[/b:c5d8e674ff]

    [i:c5d8e674ff]installatiebron[/i:c5d8e674ff] is het url-adres dat naar de betreffende bron leidt. Welke opmaak die heeft is van de bron afhankelijk.
    Bij yum-bronnen verwijs je naar het .repo bestand op de server.

    Bijv. voor de kde upgrades heb je dit commando:
    [code:1:c5d8e674ff]smart channel –add http://software.opensuse.org/download/KDE:/KDE3/SUSE_Linux_10.1/KDE:KDE3.repo[/code:1:c5d8e674ff]

    smart vraagt je dan of je de bron wilt toevoegen.

    Let op, de rpm van smart bevat een aantal voorgedefinieerde bronnen die nu meteen geinitialiseerd worden voor toevoeging. Je zult dus meerdere malen gevraagd worden om bronnen toe te voegen, oa voor opensuse, online update, opensuse

    [code:1:c5d8e674ff]
    New channel 'SUSE Linux Online Updates (suse-update)' detected.
    Include it? (Y/n): Y

    New channel 'Guru 3rd party package repository (guru)' detected.
    Include it? (Y/n): Y

    New channel 'SUSE 10.1 Add-On Repository with non OpenSource Packages (suse-non-oss)' detected.
    Include it? (Y/n): n

    New channel 'Packman 3rd Party Package Repository (packman)' detected.
    Include it? (Y/n): Y

    New channel 'Current KDE applications (suse-kde-backports)' detected.
    Include it? (Y/n): Y

    New channel 'Latest mozilla.org packages (suse-mozilla)' detected.
    Include it? (Y/n): Y

    New channel 'SUSE 10.1 OpenSource Repository (suse)' detected.
    Include it? (Y/n): n

    New channel 'Latest KDE packages (suse-kde)' detected.
    Include it? (Y/n): Y
    [/code:1:c5d8e674ff]

    merk op dat hier 2 vragen met [b:c5d8e674ff]n[/b:c5d8e674ff] zijn beantwoord. Beide betreffen de software die ook op de installatiecd's/dvd staat.

    Hierna kan het upgraden beginnen.

    We starten met het opwaarderen van de multimedia van suse.

    Start smart als grafisch programma met dit commando:

    [b:c5d8e674ff]smart –gui[/b:c5d8e674ff]

    wacht even tot de cache is bijgewerkt en zoek vervolgens naar de volgende pakketten

    libxine1
    kaffeine
    amarok
    k3b
    mplayer
    kmplayer

    vink in het resultatenlijstje telkens de pakketten aan met 'guru' of met 'pm' in de pakketnaam.
    als je een pakket selecteert zie je onderin bij tabblad [general] onder kopje [channels] precies staan wie hem aanbiedt.
    Daarna klik je op menuoptie [file->execute changes] om je wijzigingen door te voeren.
    smart start de download van de pakketten en installeert deze.

    Bij mij ging dit echter mis met k3b-mad (nodig om mp3 als audiocd te branden), dus die moet ik achteraf even op de ouderwetse manier installeren.

    De volgende stap is een online update van alle software.
    Dat kan vanuit smart-gui, door te kiezen voor menuoptie [edit->upgrade all]
    of vanaf de commandoregel met het commando [b:c5d8e674ff]smart upgrade[/b:c5d8e674ff]

    Dat was het tot dusver, veel plezier met smart :)
  • Heb net op een ander forum diezelfde info van je over Smart gelezen, en al als "interessant" doorgestuurd naar mijn thuismail ;-)
    Toch dank natuurlijk.

    Op de DVD staat KDE 3.5.1, dus na installatie, maar voor (online) update heb ik dus wel een config voor een latere KDE dan geïnstalleerd is.
    Nou ja, ik probeer het wel gewoon.
  • Ach, gewoon geen kde-programma's opstarten :)
  • [quote:a3ddb70cac="maximilaan"]Ach, gewoon geen kde-programma's opstarten :)[/quote:a3ddb70cac]Dat wordt een uitdaging als KDE je standaard desktop is :P ;)
  • Yep, maar dat hoeft geen probleem te zijn: zoals gezegd zijn de configuratiebestanden van de desktop in beide richtingen compatible met elkaar :)
  • [quote:a8ee490f59="maximilaan"]Verder is kde 3.5.x in beide richtingen compatible, dus verwacht geen rarigheden met betrekking tot configuratiebestanden.
    [/quote:a8ee490f59]
    hmm, dat (essentiële) stukje had ik net effe gemist. Nu ben ik helemaal gerustgesteld.
    Nu nog wachten op tijd en slecht weer voor de installatie :P
  • Effe een kleine kick, voor een korte vervolg vraag:
    als ik smart installeer, zit dat dan YOU niet in de weg?
    Kan ik beide op het systeem hebben staan?
    Als ik you verwijderen moet, welke pakketten dan?
  • Is Max op vakantie? 8)
  • [quote:cda22b00ac="rolfb"]Als ik you verwijderen moet, welke pakketten dan?[/quote:cda22b00ac] Zoals maximilaan al aangaf in mijn topic, ZEN-updater.
  • [quote:09d41d82d5="rolfb"]Effe een kleine kick, voor een korte vervolg vraag:
    als ik smart installeer, zit dat dan YOU niet in de weg?
    Kan ik beide op het systeem hebben staan?
    Als ik you verwijderen moet, welke pakketten dan?[/quote:09d41d82d5]Die vraag had ik op een ander forum laatst ook (maar dan met ZEN-updater). Kwam erop neer dat je ze veilig naast elkaar kan gebruiken omdat ze dezelfde bronnen en channels oid gebruiken.

    Je moet ze alleen niet tegelijkertijd gebruiken, maar ze kunnen dus allebei op je systeem staan. Ik heb dat nu ook, en tot dusver nog geen problemen ondervonden (integendeel, mijn systeem werkt weer zoals het hoort) :wink:
  • Dank,
    dan ga ik dat eens proberen.
    Out-of-the-box 10.1 geïnstalleerd, maar gelijk de eerste poging om te updaten crasht de updater…

Beantwoord deze vraag

Dit is een gearchiveerde pagina. Antwoorden is niet meer mogelijk.